chkDots {base} | R Documentation

## Warn About Extraneous Arguments in the "..." of Its Caller

### Description

Warn about extraneous arguments in the `...` of its caller. A utility to be used e.g., in S3 methods which need a formal `...` argument but do not make any use of it. This helps catching user errors in calling the function in question (which is the caller of `chkDots()`).

### Usage

    chkDots(..., which.call = -1, allowed = character(0))

### Arguments

`...` | “the dots”, as passed from the caller.
`which.call` | passed to `sys.call()`. A caller may use -2 if the message should mention its caller.
`allowed` | not yet implemented: character vector of named elements in `...` which are “allowed” and hence not warned about.

### Author(s)

Martin Maechler, first version outside base, June 2012.

### See Also

`warning`, `...`.

### Examples

    seq.default ## <- you will see  ' chkDots(...) '

    seq(1,5, foo = "bar") # gives warning via chkDots()

    ## warning with more than one ...-entry:
    density.f <- function(x, ...) NextMethod("density")
    x <- density(structure(rnorm(10), class="f"), bar=TRUE, baz=TRUE)

[Package base version 3.6.0 Index]